# Execution Reverted

#### Description

This error occurs when a contract attempts to access data that is missing or undefined in the destination contract. Typically, this happens when the destination contract is either not deployed on the target chain or does not implement the expected entry function.

In the LiquidsFi Explorer, the error may appear as follows:

{% hint style="danger" %}
execution reverted (no data present; likely require(false) occurred (action="estimateGas", data="0x", reason="require(false)", transaction={ "data": "0x242db9bea806dbd8386046e7edbf4eed5625c828f9f55e466cd9046e30a1206032d0e7c30000000000000000000000000000000000000000000000000000000000b71b0000000000000000000000000000000000000000000000000000000000000000e00000000000000000000000004f0b566329d8031e54ed963f092a320009295dfb0000000000000000000000000000000000000000000000000000000000000140000000000000000000000000000000000000000000000000000000000000018000000000000000000000000000000000000000000000000000000000000002400000000000000000000000000000000000000000000000000000000000000038474455444e4a5158474c5753564758354a5a4f473335464637504e554c474b3549544b50544e375a424d354444415a544a56573541424f5a0000000000000000000000000000000000000000000000000000000000000000000000000000000100000000000000000000000016b247ddd0b1b56a667af7715feabf61bc18ec700000000000000000000000000000000000000000000000000000000000000001000000000000000000000000000000000000000000000000000000000000002000000000000000000000000000000000000000000000000000000000000000416aec98067fa648d0e47a6eabf3e95f48263f4478627c0ce1a51f66eed1abd93f21515ed06ded6ffd94bb68be73ef2b5df0a0885eb04f8badaaa444aacc01bbd51b0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000600000000000000000000000000000000000000000000000000000000002160ec00000000000000000000000004f0b566329d8031e54ed963f092a320009295dfb0000000000000000000000004f0b566329d8031e54ed963f092a320009295dfb", "from": "0x16B247ddd0B1B56A667aF7715FEABf61Bc18ec70", "to": "0x764edea8412F67d0c39119e50096813ED3879D62" }, invocation=null, revert=null, code=CALL\_EXCEPTION, version=6.15.0)
{% endhint %}

#### Example

In this particular transaction:

* **msg\_id:** `0xa806dbd8386046e7edbf4eed5625c828f9f55e466cd9046e30a1206032d0e7c3`
* **Origin Chain:** `12000000` (Soroban)
* **Destination Chain:** `35000000` (Ethereum Sepolia)
* **Destination Contract:** `0x4F0b566329d8031e54ED963F092A320009295dfB`

This error occurs because the destination contract either:

1. Is **not deployed** on the Ethereum Sepolia, or
2. Does **not implement the LiquidsFi Oracle entry function** expected by the Oracle contract.

#### How to Fix

1. **Verify Contract Deployment:**\
   Ensure the destination contract is deployed on the correct destination chain.
2. **Implement the Oracle Entry Function:**\
   Confirm that the contract includes the required `onOracleData` function:

```solidity
function onOracleData(bytes calldata data) external onlyOracle {
    // decode data
    // custom code to handle the oracle data
}
```

#### Notes

The `onOracleData` function serves as the entry point for LiquidsFi oracle data. Missing or incorrectly implemented functions will cause transactions to fail with the “missing revert data” error.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.liquids.fi/common-lip-errors-and-fixes/execution-reverted.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
